=== modified file 'bzrlib/selftest/whitebox.py'
--- bzrlib/selftest/whitebox.py	2005-06-24 10:42:47 +0000
+++ bzrlib/selftest/whitebox.py	2005-06-24 11:07:10 +0000
@@ -8,6 +8,17 @@
 from bzrlib.errors import NotBranchError, NotVersionedError
 
 
+class Unknowns(InTempDir):
+    def runTest(self):
+        b = Branch('.', init=True)
+
+        self.build_tree(['hello.txt',
+                         'hello.txt~'])
+
+        self.assertEquals(list(b.unknowns()),
+                          ['hello.txt'])
+
+
 class Revert(InTempDir):
     """Test selected-file revert"""
     def runTest(self):

